Open SCAP Library: cvrf_score_set Struct Reference

Open SCAP Library

Public Member Functions | Data Fields
cvrf_score_set Struct Reference

## Public Member Functions
xmlNode * | cvrf_score_set_to_dom (const struct cvrf_score_set *score_set)
| Parent: CVSSScoreSets container in a CVRF Vulnerability element. More...
struct cvrf_score_set * | cvrf_score_set_new (void)
| New ScoreSet member of a CVSSScoreSets container within a Vulnerability element. More...
void | cvrf_score_set_free (struct cvrf_score_set *score_set)
| Deallocates memory for a ScoreSet element of the CVSSScoreSets container. More...
struct cvrf_score_set * | cvrf_score_set_clone (const struct cvrf_score_set *score_set)
const char * | cvrf_score_set_get_vector (const struct cvrf_score_set *score_set)
struct oscap_string_iterator * | cvrf_score_set_get_product_ids (struct cvrf_score_set *score_set)
struct cvss_impact * | cvrf_score_set_get_impact (const struct cvrf_score_set *score_set)
char * | cvrf_score_set_get_base_score (const struct cvrf_score_set *score_set)
char * | cvrf_score_set_get_environmental_score (const struct cvrf_score_set *score_set)
char * | cvrf_score_set_get_temporal_score (const struct cvrf_score_set *score_set)
bool | cvrf_score_set_set_vector (struct cvrf_score_set *score_set, const char *vector)
bool | cvrf_score_set_set_impact (struct cvrf_score_set *score_set, struct cvss_impact *impact)
bool | cvrf_score_set_add_metric (struct cvrf_score_set *score_set, enum cvss_category category, const char *score)

## Data Fields
char * | vector
struct cvss_impact * | impact
struct oscap_stringlist * | product_ids

## Member Function Documentation

## ◆ cvrf_score_set_to_dom()

xmlNode * cvrf_score_set_to_dom | ( | const struct cvrf_score_set * | score_set | ) |

Parent: CVSSScoreSets container in a CVRF Vulnerability element.

Parameters

  score_set | CVRF ScoreSet structure to be exported to XML

Returns
  xmlNode representing ScoreSet element

The documentation for this struct was generated from the following files:

- cvrf_priv.c
- cvrf_priv.h
- cvrf.h